# JSDoc: Class: commandProcessor

# Class: commandProcessor

## commandProcessor(server, chatHandler)

Class representing global server-side chat/command processing logic

## Constructor

#### new commandProcessor(server, chatHandler)

Instantiates a commandProcessor object

##### Parameters:

Name | Type | Description
--- | --- | ---
`server` | channelManager | Parent Server Object
`chatHandler` | chatHandler | Parent Chat Handler Object

Source:
  - app/channel/commandPreprocessor.js, line 162

### Methods

#### (async) announce(commandObj) → {Boolean}

Command Processor method to handle the '!announce' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 259

##### Returns:

True to enable send flag on un-authorized call to shame the user

Type
  Boolean

#### bold(commandObj) → {Boolean}

Command Processor method to handle the '!bold' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 227

##### Returns:

True to enable send flag

Type
  Boolean

#### (async) clear(commandObj) → {Boolean}

Command Processor method to handle the '!clear' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 334

##### Returns:

True to enable send flag on un-authorized call to shame the user

Type
  Boolean

#### italics(commandObj) → {Boolean}

Command Processor method to handle the '!italics' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 243

##### Returns:

True to enable send flag

Type
  Boolean

#### (async) kick(commandObj) → {Boolean}

Command Processor method to handle the '!kick' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 355

##### Returns:

True to enable send flag on un-authorized call to shame the user

Type
  Boolean

#### (async) resettoke(commandObj) → {Boolean}

Command Processor method to handle the '!resettoke' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 312

##### Returns:

True to enable send flag on un-authorized call to shame the user

Type
  Boolean

#### (async) serverannounce(commandObj) → {Boolean}

Command Processor method to handle the '!serverannounce' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 287

##### Returns:

True to enable send flag on un-authorized call to shame the user

Type
  Boolean

#### spoiler(commandObj) → {Boolean}

Command Processor method to handle the '!spoiler' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 195

##### Returns:

True to enable send flag

Type
  Boolean

#### strikethrough(commandObj) → {Boolean}

Command Processor method to handle the '!strikethrough' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 211

##### Returns:

True to enable send flag

Type
  Boolean

#### whisper(commandObj) → {Boolean}

Command Processor method to handle the '!whisper' command

##### Parameters:

Name | Type | Description
--- | --- | ---
`commandObj` | Object | Object representing a single given command/chat request

Source:
  - app/channel/commandPreprocessor.js, line 179

##### Returns:

True to enable send flag

Type
  Boolean